mb_ereg_search_setpos
mb_ereg
Multibyte String Functions
PHP Manual

# mb_ereg_search

(PHP 4 >= 4.2.0, PHP 5)

mb_ereg_search — Multibyte regular expression match for predefined multibyte string

### Description

bool mb_ereg_search ([ string `$pattern` [, string `$option` = "ms" ]] )

Performs a multibyte regular expression match for a predefined multibyte string.

### Parameters

`pattern`

  The search pattern.

`option`

  The search option.

### Return Values

mb_ereg_search() returns `TRUE` if the multibyte string matches with the regular expression, or `FALSE` otherwise. The string for matching is set by mb_ereg_search_init(). If `pattern` is not specified, the previous one is used.

### Notes

> Note: The internal encoding or the character encoding specified by mb_regex_encoding() will be used as the character encoding for this function.

### See Also

- mb_regex_encoding() - Returns current encoding for multibyte regex as string
- mb_ereg_search_init() - Setup string and regular expression for a multibyte regular expression match

mb_ereg_search_setpos
mb_ereg
Multibyte String Functions
PHP Manual